/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/
#include "game/ascii.h"

void my_print_nbr(sfml_t *sfml, int nb, uint32_t *option, int pos[2])
{
	char buffer[2];

	if (!nb)
		return;
	my_print_nbr(sfml, nb / 10, option, pos);
	buffer[0] = '0' + nb % 10;
	buffer[1] = '\0';
	my_print(sfml, pos, buffer, option);
	pos[0] += ASCII_DEFAULT_WIDTH << option[0];
}
